<template>
  <div id="orders">
    <div class="container">
      <form>
        <label>Search</label>
        <input type="text" placeholder="Search for Code..." v-model="search" />
      </form>

      <br />

      <table>
        <thead>
          <tr>
            <th>Id</th>
            <th>Code</th>
            <th>Bay</th>
            <th>Dock</th>
            <th>Load Id</th>
          </tr>
        </thead>

        <tbody>
          <tr v-for="order of filteredCode" :key="order.id">
            <td>{{ order.id }}</td>
            <td>{{ order.code }}</td>
            <td>{{ order.bay }}</td>
            <td>{{ order.dock }}</td>
            <td>{{ order.load_id }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import Order from "../services/orders";

export default {
  data() {
    return {
      orders: [],
      search: ""
    };
  },

  computed: {
    filteredCode: function() {
      return this.orders.filter(order => {
        return order.code.match(this.search);
      });
    }
  },

  mounted() {
    Order.index().then(result => {
      this.orders = result.data;
    });
  }
};
</script>

<style>

</style>
